Debian Bug report logs - #78855
RFP: intermezzo -- a distributed file system with a focus on

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tommi Virtanen <tv-nospam-2aea01@debian.org>

Date: Tue, 5 Dec 2000 21:18:02 UTC

Severity: wishlist

Done: damog@cerdita.damog.net (David Moreno Garza)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tommi Virtanen <tv-nospam-2aea01@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tommi Virtanen <tv-nospam-2aea01@debian.org>
To: submit@bugs.debian.org
Subject: RFP: InterMezzo -- a distributed file system with a focus on high availability
Date: Tue, 5 Dec 2000 23:04:18 +0200
Package: wnpp
Severity: wishlist

http://www.inter-mezzo.org/

InterMezzo is a new distributed file system with a focus on high
availability. For example, InterMezzo offers disconnected operation
and automatic recovery from network outages. InterMezzo is an Open
Source (GPL) project, currently in beta on Linux 2.2 and under
development for 2.4.

-- 
tv@{{hq.yok.utu,havoc,gaeshido}.fi,{debian,wanderer}.org,stonesoft.com}
unix, linux, debian, networks, security, | The Tao that is seen
kernel, TCP/IP, C, perl, free software,  | Is not the true Tao, until
mail, www, sw devel, unix admin, hacks.  | You bring fresh toner.



Changed Bug title. Request was from rganesan@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from rganesan@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 78855@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>
To: 78855@bugs.debian.org
Subject: Re: intermezzo ITP
Date: 13 Feb 2002 11:35:16 +0100
Hi,

have you made any progress in intermezzo packaging ?

Now that the intermezzo filesystem in included in kernel 2.4, having
userspace tools in Debian becomes more urgent.

-- 
Laurent.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 78855@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: rganesan@debian.org
Cc: 78855@bugs.debian.org
Subject: intermezzo ITP
Date: Tue, 28 May 2002 22:30:47 +0200
[Message part 1 (text/plain, inline)]
Hi Ganesan!

Are you still working on the intermezzo userland tools? So you think you
can finish it in the near future? If not, I'd like to take over your
ITP.

-- 
Kind regards,
+---------------------------------------------------------------+
| Bas Zoetekouw                  | Si l'on sait exactement ce   |
|--------------------------------| que l'on va faire, a quoi    |
| zoetekw@phys.uu.nl             | bon le faire?                |
|    bas@A-Es2.uu.nl             |               Pablo Picasso  |
+---------------------------------------------------------------+ 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ganesan R <rganesan@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 78855@bugs.debian.org (full text, mbox):

From: Ganesan R <rganesan@debian.org>
To: Bas Zoetekouw <bas@debian.org>
Cc: 78855@bugs.debian.org
Subject: Re: intermezzo ITP
Date: Wed, 29 May 2002 08:49:01 +0530
On Tue, May 28, 2002 at 10:30:47PM +0200, Bas Zoetekouw wrote:
> Hi Ganesan!
> 
> Are you still working on the intermezzo userland tools? So you think you
> can finish it in the near future? If not, I'd like to take over your
> ITP.

Hi Bas,

I haven't had much time to work on it lately, so please go ahead. I'll write
down the problems that I faced; hopefully that should give you a head start.
You may already know this - the Perl based intermezzo sync daemon (lento) is
not being worked on any more, so it probably makes more sense to package
intersync. I mainly worked on the perl intermezzo releases.

I had attempted to package intersync recently and ran into a few problems.
First, there is no way to disable the building of kernel module, so you need
the kernel-source package for building. You will need libghttp-dev,
libuuid-dev, e2fslibs-dev and libglib2.0-dev for building. Debian's
libghttp-dev package puts headers directly into /usr/include, the code
includes headers as <gttp-1.0/...>, this needs to be patched. 

I'll send you a mail if I think of anything else.

Ganesan


-- 
Ganesan R (rganesan@debian.org>)     | http://www.debian.org/~rganesan/
1024D/5D8C12EA, fingerprint F361 84F1 8D82 32E7 1832  6798 15E0 02BA 5D8C 12EA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 78855@bugs.debian.org
Cc: Ganesan R <rganesan@debian.org>
Subject: intermezzo/intersync packaging
Date: Thu, 6 Jun 2002 15:45:26 -0400
I intend to package this (i'm upstream as well).  The 2 issues
mentioned have already been resolved (the first by patching the autoconf
script, the second by changing intersync to use curl instead of ghttp).
I'm halfway done w/ the packages, I just need to get the kernel packages
working.

-- 
<dilinger> people fear what they don't understand
<zinx> that is not true
<zinx> most people fear what they don't understand, and the rest get killed
	by those people



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <C.Pollmeier@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #34 received at 78855@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <C.Pollmeier@gmx.net>
To: Andres Salomon <dilinger@voxel.net>
Cc: Ganesan R <rganesan@debian.org>, 78855@bugs.debian.org
Subject: intermezzo/intersync packaging
Date: Wed, 10 Jul 2002 14:39:58 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi.

I saw your mail in wnpp concerning intermezzo. As far as I know, I've some hopefully working
packages done. Just put them on our ftp server. A kernel module package is included.

ftp://oss.gonicus.de/pub/debian

Can't package myself, since I'm stuck in the nm since january for some reason.

Greetings,
- -Cajus
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9LCsktyibJ/7Y+CYRAuJYAJ9eoj9nPRC05xuhNrn0n6joPphpJQCguo6x
egd5ECeZOnpuOqKs4EOMkZE=
=a/o3
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <C.Pollmeier@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #39 received at 78855@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <C.Pollmeier@gmx.net>
To: 78855@bugs.debian.org
Cc: Ganesan R <rganesan@debian.org>, Andres Salomon <dilinger@voxel.net>
Subject: Fwd: intermezzo/intersync packaging
Date: Thu, 11 Jul 2002 08:10:33 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

There was a slight error in the intermezzo-source control file. Just updated
and put the deps there, too.

- -Cajus
> ----------  Forwarded Message  ----------
>
>Subject: intermezzo/intersync packaging
>Date: Wed, 10 Jul 2002 14:39:58 +0200
From: Cajus Pollmeier <C.Pollmeier@gmx.net>
>To: Andres Salomon <dilinger@voxel.net>
>Cc: Ganesan R <rganesan@debian.org>, 78855@bugs.debian.org
>
>Hi.
>
>I saw your mail in wnpp concerning intermezzo. As far as I know, I've some
> hopefully working packages done. Just put them on our ftp server. A kernel
> module package is included.
>
>ftp://oss.gonicus.de/pub/debian
>
>Can't package myself, since I'm stuck in the nm since january for some
> reason.
>
>Greetings,
> -Cajus
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9LSFetyibJ/7Y+CYRAl0oAKDabFeHudslDKSBdAzbpwTqqz4g/gCfb7bT
J6tFRZWlCOQB18npC6wHOOI=
=muPO
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Hein <jochen@jochen.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #44 received at 78855@bugs.debian.org (full text, mbox):

From: Jochen Hein <jochen@jochen.org>
To: C.Pollmeier@gmx.net, 78855@bugs.debian.org
Subject: experiences with your packages
Date: Tue, 13 Aug 2002 20:39:56 +0200
I'm installing your packages from ftp://oss.gonicus.de/pub/debian, and
like to report my experiences.  

First, I could not compile intermezzo-module on woody, it seems to use
a newer syntax for dpkg-gencontrol, since it compiles on sarge.

The errors on woody:

------------- debstd processing for GNU/Linux --------------
-- Installing Documentation
-- Looking for manpages in sourcepackage

** Package intermezzo-module
-- Checking for executable binaries in package
No executables or libraries in the package!
-- Checking Symlinks
dpkg-gencontrol: error: per-package paragraph 2 in control info file
is missing Package line


Ok, I have a packages built on sarge and install that:

root@gswi1164:/usr/src/modules/intermezzo-source# dpkg
--force-overwrite -i ../intermezzo-module_0.9.4-1_i386.deb
(Lese Datenbank ... 77445 Dateien und Verzeichnisse sind derzeit
installiert.)
Entpacke intermezzo-module (aus
.../intermezzo-module_0.9.4-1_i386.deb) ...
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/include/linux/intermezzo_fs.h« zu überschreiben,
welches auch in Paket libc6-dev ist
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/include/linux/intermezzo_psdev.h« zu überschreiben,
welches auch in Paket libc6-dev ist
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/include/linux/fsfilter.h« zu überschreiben, welches
auch in Paket libc6-dev ist
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/share/doc/intermezzo-source/copyright« zu
überschreiben, welches auch in Paket intermezzo-source ist
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/share/doc/intermezzo-source/changelog.gz« zu
überschreiben, welches auch in Paket intermezzo-source ist
dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
 versuche »/usr/share/doc/intermezzo-source/changelog.Debian.gz« zu
überschreiben, welches auch in Paket intermezzo-source ist
Richte intermezzo-module ein (0.9.4-1) ...

Sorry for the german messages, but these files need to be overwritten,
it seems.  Is that really needed?

The module intermezzo.o is stored in
/lib/modules/2.4.19/kernel/fs/intermezzo/intermezzo.o, which will
overwrite a module built from the kernel sources.  Hm, shouldn't you
put the kernel-release in the package name, just like other kernel
modules?  

And finally, there is no documentation, no manpages in the packages.
So, setting something workable up is non-trivial.  Falling back to the
source gives me some documentation, these files should be included in
the packages.  And no I'll try to get something working...

Jochen

-- 
Wenn Du nicht weißt was Du tust, tu's mit Eleganz.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <C.Pollmeier@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #49 received at 78855@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <C.Pollmeier@gmx.net>
To: Jochen Hein <jochen@jochen.org>, 78855@bugs.debian.org
Subject: Re: experiences with your packages
Date: Wed, 14 Aug 2002 08:29:13 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Dienstag, 13. August 2002 20:39, you wrote:
> I'm installing your packages from ftp://oss.gonicus.de/pub/debian, and
> like to report my experiences.
>
> First, I could not compile intermezzo-module on woody, it seems to use
> a newer syntax for dpkg-gencontrol, since it compiles on sarge.
>
> The errors on woody:
>
> ------------- debstd processing for GNU/Linux --------------
> -- Installing Documentation
> -- Looking for manpages in sourcepackage
>
> ** Package intermezzo-module
> -- Checking for executable binaries in package
> No executables or libraries in the package!
> -- Checking Symlinks
> dpkg-gencontrol: error: per-package paragraph 2 in control info file
> is missing Package line
>
> Sorry for the german messages, but these files need to be overwritten,
> it seems.  Is that really needed?

No. Either they should be excluded or diverted by postinst. The packages
are not meant to be production stuff, just as a base for someone who
wants to start through doing real packaging ;-) They are in a rough shape -
I know.

There's another problem: the apache modules directory is not set
correctly at compile time. If there's some more feedback, I'm going
to fix all these issues at the weekend and upload an updated version.

> The module intermezzo.o is stored in
> /lib/modules/2.4.19/kernel/fs/intermezzo/intermezzo.o, which will
> overwrite a module built from the kernel sources.  Hm, shouldn't you
> put the kernel-release in the package name, just like other kernel
> modules?

I'll have a closer look in how to handle this. Hints are welcome, since
I'm currently short on time and no debian kernel maintainer.

> And finally, there is no documentation, no manpages in the packages.
> So, setting something workable up is non-trivial.  Falling back to the
> source gives me some documentation, these files should be included in
> the packages.  And no I'll try to get something working...

So do I. In fact there is no documentation on all this intermezzo stuff. For some
binaries I don't know what they do, or what their options mean. But I got it
running somehow - not ready for production yet - I guess.

So long,
- -Cajus
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9WfjAtyibJ/7Y+CYRAn8FAKCXsyH7PzhGZ6aHnRnU1HlWTOr6qACfT/sZ
X+m2LL0O9ejRHHy6ELfaYjA=
=PFqj
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Hein <jochen@jochen.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #54 received at 78855@bugs.debian.org (full text, mbox):

From: Jochen Hein <jochen@jochen.org>
To: Cajus Pollmeier <C.Pollmeier@gmx.net>
Cc: 78855@bugs.debian.org
Subject: Re: experiences with your packages
Date: Wed, 14 Aug 2002 19:42:13 +0200
>>>>> "Cajus" == Cajus Pollmeier <C.Pollmeier@gmx.net> writes:

 >> The module intermezzo.o is stored in
 >> /lib/modules/2.4.19/kernel/fs/intermezzo/intermezzo.o, which will
 >> overwrite a module built from the kernel sources.  Hm, shouldn't
 >> you put the kernel-release in the package name, just like other
 >> kernel modules?

 Cajus> I'll have a closer look in how to handle this. Hints are
 Cajus> welcome, since I'm currently short on time and no debian
 Cajus> kernel maintainer.

Perhaps have a look at other kernel modules?  thinkpad or cipe come to
mind...

 >> And finally, there is no documentation, no manpages in the
 >> packages.  So, setting something workable up is non-trivial.
 >> Falling back to the source gives me some documentation, these
 >> files should be included in the packages.  And no I'll try to get
 >> something working...

 Cajus> So do I. In fact there is no documentation on all this
 Cajus> intermezzo stuff. 

Some manpages seem to be in intersync-0.9.4/doc, at least these should
be installed.

 Cajus> For some binaries I don't know what they do,
 Cajus> or what their options mean. But I got it running somehow - not
 Cajus> ready for production yet - I guess.

That is really an issue since security seems to be non-existent.
AFAICS any client can mount any exported fs, right?

Jochen

-- 
#include <~/.signature>: permission denied



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Gybas <gybas@trustsec.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #59 received at 78855@bugs.debian.org (full text, mbox):

From: Stefan Gybas <gybas@trustsec.de>
To: 78855@bugs.debian.org
Cc: Cajus Pollmeier <C.Pollmeier@gmx.net>, Andres Salomon <dilinger@voxel.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 17:53:07 +0200
Hi!

I've installed InterMezzo 0.9.5 for a customer yesterday (unfortunately 
it was on a Red Hat 8.0 system) but I now know that and how InterMezzo 
works. If you don't want to continue your work on the InterSync package 
and the InterMezzo kernel module I'd like to take this task and build 
Debian packages.

If you all agree, I'd like to upload the packages in a few days and set 
up a CVS tree in cvs.debian.org so basically all Debian developers can 
work on the package if they want to. I've done this with my Java 
packages and got very positive feedback from the other Debian Java 
developers.

Greetings,
Stefan Gybas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #64 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Stefan Gybas <gybas@trustsec.de>
Cc: 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 12:29:36 -0400
I still plan to continue intermezzo packaging; however, I do not feel it
is stable enough for production use.  I do not want to see it packaged
until more work is done on it (upstream).  Please do not upload 0.9.5
packages.

On Wed, Oct 16, 2002 at 05:53:07PM +0200, Stefan Gybas wrote:
> 
> Hi!
> 
> I've installed InterMezzo 0.9.5 for a customer yesterday (unfortunately 
> it was on a Red Hat 8.0 system) but I now know that and how InterMezzo 
> works. If you don't want to continue your work on the InterSync package 
> and the InterMezzo kernel module I'd like to take this task and build 
> Debian packages.
> 
> If you all agree, I'd like to upload the packages in a few days and set 
> up a CVS tree in cvs.debian.org so basically all Debian developers can 
> work on the package if they want to. I've done this with my Java 
> packages and got very positive feedback from the other Debian Java 
> developers.
> 
> Greetings,
> Stefan Gybas

-- 
It's not denial.  I'm just selective about the reality I accept.
	-- Bill Watterson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Gybas <gybas@trustsec.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #69 received at 78855@bugs.debian.org (full text, mbox):

From: Stefan Gybas <gybas@trustsec.de>
To: Andres Salomon <dilinger@voxel.net>
Cc: 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 19:27:38 +0200
Andres Salomon wrote:

> I still plan to continue intermezzo packaging; however, I do not feel it
> is stable enough for production use.

That's why new packages go to the unstable distribution. For example, a 
CVS snapshot of Samba 3.0 is there - it's also not ready for production 
IMHO.

> I do not want to see it packaged until more work is done on it 
(upstream).

Why are there RPM packages then?

> Please do not upload 0.9.5 packages.

It will be a long time before sarge is released and if InterMezzo is not 
ready at that time it can simply be postponed for the next release.

My issue is this: I now know how set up InterMezzo (and even better, a 
customer paid me to gain this knowledge). I can now either spend a few 
hours working on InterMezzo packages (so others can try InterMezzo and 
ciontribute to the package and upstream) or I can work on my other 
packages and forget what I have learned about InterMezzo after a few 
weeks. Chose whatever you think is best for Debian and InterMezzo.

Greetings,
Stefan Gybas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #74 received at 78855@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Stefan Gybas <gybas@trustsec.de>
Cc: Andres Salomon <dilinger@voxel.net>, 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 19:55:56 +0200
Hi!

Stefan wrote:

> Andres Salomon wrote:
> 
> >I still plan to continue intermezzo packaging; however, I do not feel it
> >is stable enough for production use.
> 
> That's why new packages go to the unstable distribution. For example, a 
> CVS snapshot of Samba 3.0 is there - it's also not ready for production 
> IMHO.

I agree with Stefan on this.  If you think intermezzo is not ready for a
stable version, it is trivial to keep it out of Sarge. Putting it
in Sid might interest some people in trying it out, testing it, and
reporting bugs.  That applies to me, at the very least.

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@o2w.nl, bas@debian.org |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #79 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Stefan Gybas <gybas@trustsec.de>
Cc: 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 13:58:37 -0400
On Wed, Oct 16, 2002 at 07:27:38PM +0200, Stefan Gybas wrote:
> 
> Andres Salomon wrote:
> 
> >I still plan to continue intermezzo packaging; however, I do not feel it
> >is stable enough for production use.
> 
> That's why new packages go to the unstable distribution. For example, a 
> CVS snapshot of Samba 3.0 is there - it's also not ready for production 
> IMHO.

Samba is usable.  It supports the features that it offers.  It may have
bugs, but it's at least usable for most of those features.  Intermezzo,
on the other hand, does not support any features other than replication,
at the moment; and even that is buggy.

> 
> > I do not want to see it packaged until more work is done on it 
> (upstream).
> 
> Why are there RPM packages then?

Because Peter/Robert use redhat.  There's also the historical aspect of
InterSync requiring ghttpd.  Normal libghttp didn't install all of what
was needed by InterSync during compilation, so they had to release RPMs
with a modified ghttp.  The build system uses the .spec file from the
RPM to get the version/package name, as well; it's simply what the
original authors of Intermezzo preferred to release with.


> 
> > Please do not upload 0.9.5 packages.
> 
> It will be a long time before sarge is released and if InterMezzo is not 
> ready at that time it can simply be postponed for the next release.

I don't see what the rush is right now.  If you upload intermezzo
packages, you _will_ have to support users using unstable.  There _will_
be longstanding severe/grave bug reports on the package.  I would rather
see a quality package put into debian.


> 
> My issue is this: I now know how set up InterMezzo (and even better, a 
> customer paid me to gain this knowledge). I can now either spend a few 
> hours working on InterMezzo packages (so others can try InterMezzo and 
> ciontribute to the package and upstream) or I can work on my other 
> packages and forget what I have learned about InterMezzo after a few 
> weeks. Chose whatever you think is best for Debian and InterMezzo.

You're welcome to do unofficial packages; I would even encourage uploads
to experimental, but not to unstable.  As far as the knowledge you have
gained about setting up InterSync; it _will_ change.  InterSync does
most of the legwork upon startup (even right down to adding new users to
the system); also, the way it is run will change.  There need to be
provisions for security, ways to specify transports (rsync, httpds other
than apache, etc), and many other things.  Intermezzo is simply not
ready, and the knowledge you have about it now will be obsolete by the
time it is.


> 
> Greetings,
> Stefan Gybas

-- 
It's not denial.  I'm just selective about the reality I accept.
	-- Bill Watterson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Gybas <gybas@trustsec.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #84 received at 78855@bugs.debian.org (full text, mbox):

From: Stefan Gybas <gybas@trustsec.de>
To: Andres Salomon <dilinger@voxel.net>
Cc: 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Wed, 16 Oct 2002 23:17:27 +0200
Andres Salomon wrote:

> There _will_ be longstanding severe/grave bug reports on the package.

That't fine. This way it will be kept out of testing.

I'd rather have a package with some bugs that I can use in some fields 
than no package at all. If you don't want to use the package simply 
don't install it.

> it _will_ change.

Ok, then I'll change the package accordingly. It won't the first 
changing package that I'm maintainig. You can take a look at Tomcat's 
history for example: Tomcat 4.1.2 has almost nothing in common with the 
first Tomcat 3.x package.

> InterSync does most of the legwork upon startup (even right down to
> adding new users to the system);

I know this and I'll patch intersync to suit the Debian Policy. I'll 
disable the automatic startup of httpd and leave it up to the user to 
configure their web server to restrict access (allow, deny, SSL, ...) to 
InterMezzo's CGIs.

I'd rather have you maintain the packages since you probably know more 
about InterMezzo than me. But then you have to upload your packages 
within the next few weeks. Keeping an ITP open for almost 2 years is not 
an option.

Greetings,
Stefan Gybas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #89 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Stefan Gybas <gybas@trustsec.de>
Cc: 78855@bugs.debian.org, Cajus Pollmeier <C.Pollmeier@gmx.net>, Bas Zoetekouw <bas@debian.org>
Subject: Re: intermezzo/intersync packaging
Date: Thu, 17 Oct 2002 02:17:29 -0400
Note that I haven't had the ITP open for 2 years; Tommi opened the ITP
for the original Intermezzo (which used perl, and would've been hell to
package).  I took over the ITP (for InterSync) 4 months ago.

Multiple people have emailed me about this, so (despite my reservations)
I will update my packages and upload them.  I will do some testing to
decide
a) whether to use cvs HEAD or 0.9.5, and
b) whether to upload to unstable or experimental.

Expect packages within the next few weeks.

On Wed, Oct 16, 2002 at 11:17:27PM +0200, Stefan Gybas wrote:
> 
> Andres Salomon wrote:
> 
> >There _will_ be longstanding severe/grave bug reports on the package.
> 
> That't fine. This way it will be kept out of testing.
> 
> I'd rather have a package with some bugs that I can use in some fields 
> than no package at all. If you don't want to use the package simply 
> don't install it.
> 
> > it _will_ change.
> 
> Ok, then I'll change the package accordingly. It won't the first 
> changing package that I'm maintainig. You can take a look at Tomcat's 
> history for example: Tomcat 4.1.2 has almost nothing in common with the 
> first Tomcat 3.x package.
> 
> > InterSync does most of the legwork upon startup (even right down to
> > adding new users to the system);
> 
> I know this and I'll patch intersync to suit the Debian Policy. I'll 
> disable the automatic startup of httpd and leave it up to the user to 
> configure their web server to restrict access (allow, deny, SSL, ...) to 
> InterMezzo's CGIs.
> 
> I'd rather have you maintain the packages since you probably know more 
> about InterMezzo than me. But then you have to upload your packages 
> within the next few weeks. Keeping an ITP open for almost 2 years is not 
> an option.
> 
> Greetings,
> Stefan Gybas

-- 
It's not denial.  I'm just selective about the reality I accept.
	-- Bill Watterson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Gybas <gybas@trustsec.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #94 received at 78855@bugs.debian.org (full text, mbox):

From: Stefan Gybas <gybas@trustsec.de>
To: Andres Salomon <dilinger@voxel.net>
Cc: 78855@bugs.debian.org
Subject: Re: intermezzo/intersync packaging
Date: Thu, 17 Oct 2002 10:27:02 +0200
Andres Salomon wrote:

> Multiple people have emailed me about this, so (despite my reservations)
> I will update my packages and upload them.

Could you mail me your current .diff.gz since I need the packages in a 
few days (that's why I wanted to package them)? I don't mind if is has 
some bugs.

> Expect packages within the next few weeks.

Thanks for your work. I really think the "release early, release often" 
strategy is the best for Debian packages. I hope you'll see it this way 
some day. :-)

Greetings,
Stefan Gybas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <mourad@co-defy.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #99 received at 78855@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <mourad@co-defy.com>
To: dilinger@voxel.net
Cc: 78855@bugs.debian.org
Subject: Re: intermezzo/intersync packaging
Date: Tue, 26 Nov 2002 03:10:24 +0100
> Multiple people have emailed me about this, so (despite my reservations)
> I will update my packages and upload them.
<snip>
> Expect packages within the next few weeks.

I was just wondering about the status of intermezzo / intersync in 
Debian. I need to set it up this week, and it would be nice to have some 
work to build on - even if they're just experimental packages. If it's 
still nowhere near ready, could you email me a diff?

thanks,

-- Mourad






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #104 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 78855@bugs.debian.org
Subject: Re: intermezzo/intersync packaging
Date: Wed, 27 Nov 2002 11:49:06 -0500
Just to keep people up-to-date; work's been keeping me far too busy, so
I haven't been able to release packages yet.  I lost my original set of
packages when a machine died, so I had to start from scratch.  Now that
my company's done w/ their 2.0 product release, I have free time again;
I plan to upload intermezzo packages around thanksgiving weekend. What
I've got so far is an intersync package and an intermezzo-source
package.  I want to do some verification that they actually
compile/work/run (as kernel modules) before making them public.  

-- 
It's not denial.  I'm just selective about the reality I accept.
	-- Bill Watterson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #109 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 78855@bugs.debian.org
Subject: update
Date: Mon, 16 Dec 2002 04:37:34 -0500
Intermezzo packages are available at the following:

deb http://chunk.mp3revolution.net/intermezzo ./
deb-src http://chunk.mp3revolution.net/intermezzo ./

They have a build dependency on a version of lyx which is not yet in the
archive, which is why they cannot yet be uploaded to unstable.  In the
meantime, feel free to play w/ these.  Cleanup work needs to be done;
the init script is hackish, and there is much cruft upstream (especially
lento crap).  It is also not yet lintian clean.  And, of course, I need
to do a lot more testing; consider these preliminary,
it-works-as-a-server packages.

Lyx is available here:

deb http://chunk.mp3revolution.net/lyx ./
deb-src http://chunk.mp3revolution.net/lyx ./

If you want to build intermezzo packages, you'll need lyx <= 1.2.0.


-- 
It's not denial.  I'm just selective about the reality I accept.
	-- Bill Watterson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Behrens <matt@zigg.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #114 received at 78855@bugs.debian.org (full text, mbox):

From: Matt Behrens <matt@zigg.com>
To: 78855@bugs.debian.org
Subject: missing
Date: Fri, 16 May 2003 13:37:04 -0400
[Message part 1 (text/plain, inline)]
Can't get to chunk.mp3revolution.net; I'm assuming it has fallen
entirely off the net.

Where can these packages be had?  Is anyone willing to commit the
time to at least maintain them unofficially?

-- 
Matt Behrens <matt@zigg.com> <URL:http://zigg.com/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#78855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #119 received at 78855@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: 78855@bugs.debian.org
Subject: intermezzo update
Date: 30 May 2003 11:16:21 -0400
Time for a much needed update on the status of intermezzo.  Packages are
available here:

deb http://sloth.voxel.net/~dilinger/intermezzo/ ./
deb-src http://sloth.voxel.net/~dilinger/intermezzo/ ./

I literally have not touched these packages in months; I have no idea if
all dependencies are still satisfied, if they still work w/ the current
2.4 kernel, etc.  These are the exact packages that were posted 6 months
ago.

Now, as far as intermezzo is concerned, development of intermezzo has
ceased.  The intermezzo developers are now working on a cluster
filesystem called lustre (http://www.lustre.org/).  I have no desire
(and definitely not enough free time) to maintain intermezzo (upstream)
myself, so I no longer have any intentions of packaging/supporting
intermezzo.  If someone else wants to deal w/ it, feel free to take my
pacakges (or start from scratch) and upload 'em; I hereby rescind this
ITP.

If anyone feels up to packaging intermezzo, please do so.  But, keep in
mind that any bugs found (including those in the kernel driver) will
most likely have to be fixed by you.





Changed Bug title. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Gürkan Sengün <gurkan@linuks.mine.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to damog@cerdita.damog.net (David Moreno Garza):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tommi Virtanen <tv-nospam-2aea01@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #128 received at 78855-done@bugs.debian.org (full text, mbox):

From: damog@cerdita.damog.net (David Moreno Garza)
To: 78855-done@bugs.debian.org
Subject: WNPP bug closed
Date: Wed, 14 Sep 2005 21:55:01 -0500 (CDT)
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 14 Sep 2005 21:54:42 -0500



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:53:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.